package tornodrom.control;

import java.util.List;

import org.hibernate.HibernateException;
import org.hibernate.classic.Session;

import tornodrom.model.Identificatius;
import tornodrom.util.HibernateUtil;


public class IdentificatiuManager extends HibernateUtil {

	public Identificatius find(int id) {
		Session session = HibernateUtil.getSessionFactory().getCurrentSession();
		session.beginTransaction();
		Identificatius identif = (Identificatius) session.get(Identificatius.class, id);
		session.getTransaction().commit();
		return identif;
	}
	
	public List<Identificatius> list() {
		Session session = HibernateUtil.getSessionFactory().getCurrentSession();
		session.beginTransaction();
		List<Identificatius> identis = null;
		try {
			identis = (List<Identificatius>)session.createSQLQuery("CALL IdentificatiusList()").addEntity(Identificatius.class).list();
		} catch (HibernateException e) {
			e.printStackTrace();
			session.getTransaction().rollback();
		}
		session.getTransaction().commit();
		return identis;
	}
}
