package tornodrom.control;

import org.hibernate.classic.Session;

import tornodrom.model.Navegacio;
import tornodrom.util.HibernateUtil;

public class NavegacioManager extends HibernateUtil {
	public Navegacio get(String usuari, String accio) {
		Session session = HibernateUtil.getSessionFactory().getCurrentSession();
		session.beginTransaction();
		Navegacio navegacio = null;
		navegacio = (Navegacio)session.createSQLQuery("CALL AutenticacioGet(:usuari,:accio)").addEntity(Navegacio.class).setParameter("usuari", usuari).setParameter("accio", accio).uniqueResult();
		session.getTransaction().commit();		
		return navegacio;
	}	
}
