package tornodrom.control;

import java.util.List;

import org.hibernate.HibernateException;
import org.hibernate.classic.Session;

import tornodrom.util.HibernateUtil;
import tornodrom.model.TipusFestius;

public class TipusfestiuManager extends HibernateUtil {

	public TipusFestius find(int id) {
		Session session = HibernateUtil.getSessionFactory().getCurrentSession();
		session.beginTransaction();
		TipusFestius tfestiu = (TipusFestius) session.get(TipusFestius.class, id);
		session.getTransaction().commit();
		return tfestiu;
	}

	public void add(TipusFestius tfestiu) {
		Session session = HibernateUtil.getSessionFactory().getCurrentSession();
		session.beginTransaction();
		session.save(tfestiu);
		session.getTransaction().commit();
	}		

	public void update(TipusFestius tfestiu) {
		Session session = HibernateUtil.getSessionFactory().getCurrentSession();
		session.beginTransaction();
		session.update(tfestiu);
		session.getTransaction().commit();
	}		

	public void delete(TipusFestius tfestiu) {
		Session session = HibernateUtil.getSessionFactory().getCurrentSession();
		session.beginTransaction();
		session.update(tfestiu);
		session.getTransaction().commit();
	}		
	
	public List<TipusFestius> list() {
		Session session = HibernateUtil.getSessionFactory().getCurrentSession();
		session.beginTransaction();
		List<TipusFestius> ctfesti = null;
		try {
			ctfesti = (List<TipusFestius>)session.createSQLQuery("CALL TipusfestiusList()").addEntity(TipusFestius.class).list();
		} catch (HibernateException e) {
			e.printStackTrace();
			session.getTransaction().rollback();
		}
		session.getTransaction().commit();
		return ctfesti;
	}
}
