package tornodrom.control;

import java.util.List;

import org.hibernate.HibernateException;
import org.hibernate.classic.Session;

import tornodrom.util.HibernateUtil;
import tornodrom.model.TipusIncidencies;

public class TipusincidenciaManager extends HibernateUtil {

	public TipusIncidencies find(int id) {
		Session session = HibernateUtil.getSessionFactory().getCurrentSession();
		session.beginTransaction();
		TipusIncidencies tincidencia = (TipusIncidencies) session.get(TipusIncidencies.class, id);
		session.getTransaction().commit();
		return tincidencia;
	}

	public void add(TipusIncidencies tincidencia) {
		Session session = HibernateUtil.getSessionFactory().getCurrentSession();
		session.beginTransaction();
		session.save(tincidencia);
		session.getTransaction().commit();
	}		

	public void update(TipusIncidencies tincidencia) {
		Session session = HibernateUtil.getSessionFactory().getCurrentSession();
		session.beginTransaction();
		session.update(tincidencia);
		session.getTransaction().commit();
	}		

	public void delete(TipusIncidencies tincidencia) {
		Session session = HibernateUtil.getSessionFactory().getCurrentSession();
		session.beginTransaction();
		session.update(tincidencia);
		session.getTransaction().commit();
	}		
	
	public List<TipusIncidencies> list() {
		Session session = HibernateUtil.getSessionFactory().getCurrentSession();
		session.beginTransaction();
		List<TipusIncidencies> ctincid = null;
		try {
			ctincid = (List<TipusIncidencies>)session.createSQLQuery("CALL TipusincidenciesList()").addEntity(TipusIncidencies.class).list();
		} catch (HibernateException e) {
			e.printStackTrace();
			session.getTransaction().rollback();
		}
		session.getTransaction().commit();
		return ctincid;
	}
}
