package tornodrom.control;

import java.util.List;

import org.hibernate.HibernateException;
import org.hibernate.classic.Session;

import tornodrom.util.HibernateUtil;
import tornodrom.model.TipusTorns;

public class TipustornManager extends HibernateUtil {

	public TipusTorns find(int id) {
		Session session = HibernateUtil.getSessionFactory().getCurrentSession();
		session.beginTransaction();
		TipusTorns ttorn = (TipusTorns) session.get(TipusTorns.class, id);
		session.getTransaction().commit();
		return ttorn;
	}

	public void add(TipusTorns ttorn) {
		Session session = HibernateUtil.getSessionFactory().getCurrentSession();
		session.beginTransaction();
		session.save(ttorn);
		session.getTransaction().commit();
	}		

	public void update(TipusTorns ttorn) {
		Session session = HibernateUtil.getSessionFactory().getCurrentSession();
		session.beginTransaction();
		session.update(ttorn);
		session.getTransaction().commit();
	}		

	public void delete(TipusTorns ttorn) {
		Session session = HibernateUtil.getSessionFactory().getCurrentSession();
		session.beginTransaction();
		session.update(ttorn);
		session.getTransaction().commit();
	}		
	
	public List<TipusTorns> list() {
		Session session = HibernateUtil.getSessionFactory().getCurrentSession();
		session.beginTransaction();
		List<TipusTorns> ctturno = null;
		try {
			ctturno = (List<TipusTorns>)session.createSQLQuery("CALL TipustornsList()").addEntity(TipusTorns.class).list();
		} catch (HibernateException e) {
			e.printStackTrace();
			session.getTransaction().rollback();
		}
		session.getTransaction().commit();
		return ctturno;
	}
}
