package tornodrom.model;

import java.io.Serializable;
import java.sql.Date;
import java.sql.Timestamp;

import javax.persistence.CascadeType;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.ManyToOne;
import javax.persistence.JoinColumn;
import javax.persistence.Table;


@Entity
@Table(name="calendarislaborals")
public class Calendaris implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = -2638081677529317123L;

	/**
	 * 
	 */
	private CalendarisPk id;
	private Date dataFi;
	private int idTTorn;
	private TipusTorns dTTorn;
	private String usuariAlta;
	private Timestamp tmstmpAlta;
	private String usuariModi;
	private Timestamp tmstmpModi;
	private String usuariBaja;
	private Timestamp tmstmpBaja;	

	@Id
	public CalendarisPk getId() {
		return id;
	}
	@Column(name="dataFi")
	public Date getDataFi() {
		return dataFi;
	}
	@ManyToOne(cascade = CascadeType.ALL)	
	@JoinColumn(name="tipusTorn")
	public TipusTorns getDTTorn(){
		return dTTorn;
	}	
	@Column(name="usuariAlta")
	public String getUsuariAlta() {
		return usuariAlta;
	}	
	@Column(name="tmstmpAlta")
	public Timestamp getTmstmpAlta() {
		return tmstmpAlta;
	}	
	@Column(name="usuariModi")
	public String getUsuariModi() {
		return usuariModi;
	}	
	@Column(name="tmstmpModi")
	public Timestamp getTmstmpModi() {
		return tmstmpModi;
	}		
	@Column(name="usuariBaja")
	public String getUsuariBaja() {
		return usuariBaja;
	}	
	@Column(name="tmstmpBaja")
	public Timestamp getTmstmpBaja() {
		return tmstmpBaja;
	}		
	
	public void setId(CalendarisPk id) {
		this.id = id;
	}
	public void setDataFi(Date dataFi) {
		this.dataFi = dataFi;
	}
	public void setIdTTorn(int idTTorn) {
		this.idTTorn = idTTorn;
	}
	public void setDTTorn(TipusTorns dTTorn) {
		this.dTTorn = dTTorn;
	}	
	public void setUsuariAlta(String usuariAlta) {
		this.usuariAlta = usuariAlta;
	}	
	public void setTmstmpAlta(Timestamp tmstmpAlta) {
		this.tmstmpAlta = tmstmpAlta;
	}	
	public void setUsuariModi(String usuariModi) {
		this.usuariModi = usuariModi;
	}	
	public void setTmstmpModi(Timestamp tmstmpModi) {
		this.tmstmpModi = tmstmpModi;
	}	
	public void setUsuariBaja(String usuariBaja) {
		this.usuariBaja = usuariBaja;
	}	
	public void setTmstmpBaja(Timestamp tmstmpBaja) {
		this.tmstmpBaja = tmstmpBaja;
	}		
}
