package tornodrom.model;

import java.io.Serializable;
import java.sql.Date;

import javax.persistence.CascadeType;
import javax.persistence.Column;
import javax.persistence.Embeddable;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;

@Embeddable
public class CalendarisPk implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = -2638081677529317123L;

	/**
	 * 
	 */
	private int idCalendari;
	private TipusCalendaris dCalendari;
	private Date dataInici;

	public CalendarisPk() {
		
	}
	
	public CalendarisPk(int idCalendari, Date dataInici){
		this.idCalendari = idCalendari;
		this.dataInici = dataInici;
	}
	@ManyToOne(cascade = CascadeType.ALL)	
	@JoinColumn(name="idCalendari")
	public TipusCalendaris getDCalendari() {
		return dCalendari;
	}
	@Column(name="dataInici")
	public Date getDataInici() {
		return dataInici;
	}
	
	public void setIdCalendari(int idCalendari) {
		this.idCalendari = idCalendari;
	}
	public void setDCalendari(TipusCalendaris dCalendari) {
		this.dCalendari = dCalendari;
	}
	public void setDataInici(Date dataInici) {
		this.dataInici = dataInici;
	}
}
