package tornodrom.view;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.Calendar;
import java.util.List;
import java.util.Map;

import tornodrom.control.UsuariManager;
import tornodrom.list.TipusFestiusTab;
import tornodrom.list.UsuarisTab;
import tornodrom.model.Usuaris;

import com.opensymphony.xwork2.ActionSupport;
import com.opensymphony.xwork2.ActionContext;

public class CusuariAction extends ActionSupport {

	private String id;
	
	private UsuariManager linkUsuari;
	private List<Usuaris> cusuariList;
	ArrayList<UsuarisTab> lista;
	private List cusuariDisp = new ArrayList();

	private Map session;
	
	private Usuaris usuari;
	private String vusunom;
	private String vusupcg;
	private String vususcg;
	private String vusuperfil;
	private String vusutelf;
	private String vusumail;	
	
	public CusuariAction() {
		linkUsuari = new UsuariManager();
		session = ActionContext.getContext().getSession();		
	}	
	
	public String execute() {
		if (getId() == null || getId().trim().equals("")) {
			preview(); 
		} else {
			ver(); 
		}
		return SUCCESS;
	}

	public String tornar() {
		return SUCCESS;
	}
	public void ver() {
		usuari = linkUsuari.find(getId());
		setVusunom(usuari.getDEmpleat().getNom());
		setVusupcg(usuari.getDEmpleat().getPCognom());
		setVususcg(usuari.getDEmpleat().getSCognom());
		setVusuperfil(usuari.getDPerfil().getDescripcio());
		setVusutelf(usuari.getDEmpleat().getTelefon());
		setVusumail(usuari.getDEmpleat().getCorreu());
	}		
	
	public String getId () {
		return id;
	}
	public List<UsuarisTab> getCusuariDisp() {
		return cusuariDisp;
	}
	public String getVusunom () {
		return vusunom;
	}
	public String getVusupcg () {
		return vusupcg;
	}
	public String getVususcg () {
		return vususcg;
	}	
	public String getVusuperfil () {
		return vusuperfil;
	}	
	public String getVusutelf () {
		return vusutelf;
	}	
	public String getVusumail () {
		return vusumail;
	}	

	public void setId (String id){
		this.id = id;
	}	
	public void setCusuariDisp(List<UsuarisTab> cusuariDisp) {
		this.cusuariDisp = cusuariDisp;
	}
	public void setVusunom (String vusunom){
		this.vusunom = vusunom;
	}
	public void setVusupcg (String vusupcg){
		this.vusupcg = vusupcg;
	}
	public void setVususcg (String vususcg){
		this.vususcg = vususcg;
	}	
	public void setVusuperfil (String vusuperfil){
		this.vusuperfil = vusuperfil;
	}	
	public void setVusutelf (String vusutelf){
		this.vusutelf = vusutelf;
	}
	public void setVusumail (String vusumail){
		this.vusumail = vusumail;
	}
	
	public void preview() {
		this.cusuariList = linkUsuari.list(((Integer)session.get("xidempl")).intValue());
		for (int iter = 0; iter < this.cusuariList.size(); iter++) {
			this.cusuariDisp.add(
					new UsuarisTab(
							this.cusuariList.get(iter).getUsuari(), 
							this.cusuariList.get(iter).getDEmpleat().getIdEmpleat(),
							this.cusuariList.get(iter).getDEmpleat().getNom() + " " 
							+ this.cusuariList.get(iter).getDEmpleat().getPCognom() + " "
							+ this.cusuariList.get(iter).getDEmpleat().getSCognom(),
							this.cusuariList.get(iter).getDPerfil().getDescripcio(),							
							"<a href=\"cusuariS?id=" + this.cusuariList.get(iter).getUsuari()
							+ "\">" + getText("cusuari.label.sho") + "</a>"

			));
		}		
	}	
}
