package tornodrom.control;

import org.hibernate.classic.Session;

import tornodrom.model.Usuaris;
import tornodrom.util.HibernateUtil;
import java.util.List;

public class UsuariManager extends HibernateUtil {

	public Usuaris find(String usuari) {
		Session session = HibernateUtil.getSessionFactory().getCurrentSession();
		session.beginTransaction();
		Usuaris user = (Usuaris) session.get(Usuaris.class, usuari);
		session.getTransaction().commit();
		return user;
	}
	
	public void update(Usuaris usuari) {
		Session session = HibernateUtil.getSessionFactory().getCurrentSession();
		session.beginTransaction();
		session.update(usuari);
		session.getTransaction().commit();
	}	
	
	public List<Usuaris> list (int idEmpConn) {
		Session session = HibernateUtil.getSessionFactory().getCurrentSession();
		session.beginTransaction();
		List<Usuaris> usuresp = null;
		usuresp = session.createSQLQuery("CALL UsuarisList(:idEmpConn)").addEntity(Usuaris.class).setParameter("idEmpConn", idEmpConn).list();
		session.getTransaction().commit();		
		return usuresp;		
	}
}
