package tornodrom.interceptor;


import java.util.Map;
import tornodrom.control.NavegacioManager;
import tornodrom.model.Navegacio;

import com.opensymphony.xwork2.Action;
import com.opensymphony.xwork2.ActionInvocation;
import com.opensymphony.xwork2.interceptor.Interceptor;

public class Autenticacio implements Interceptor{

	private static final long serialVersionUID = 1L;
	private NavegacioManager linkNavegacio;
	private Navegacio navegacio;
	
	public Autenticacio() {
		linkNavegacio = new NavegacioManager();
	}

	public String intercept(ActionInvocation invocation) throws Exception {

		String className = invocation.getAction().getClass().getName();
//		long startTime = System.currentTimeMillis();
//		System.out.println("Before calling action: " + className);

		Map session = invocation.getInvocationContext().getSession();
		if (session.get("xusuari") == null) {
			return Action.LOGIN;
	    } else {
	    	this.navegacio = linkNavegacio.get((String)session.get("xusuari"), invocation.getAction().toString().substring(15,22).toLowerCase());
	    	if (this.navegacio == null) {
				return Action.LOGIN;
			}
	    	return invocation.invoke();
	    }
		
//		long endTime = System.currentTimeMillis();
//		System.out.println("After calling action: " + className
//				+ " Time taken: " + (endTime - startTime) + " ms");
	}

	public void destroy() {
		System.out.println("Destroying MyLoggingInterceptor...");
	}

	public void init() {
		System.out.println("Initializing MyLoggingInterceptor...");
	}
}
