package tornodrom.model;

import java.io.Serializable;
import java.sql.Date;
import java.sql.Timestamp;

import javax.persistence.CascadeType;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.ManyToOne;
import javax.persistence.JoinColumn;
import javax.persistence.Table;


@Entity
@Table(name="festius")
public class Festius implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = -2638081677529317123L;

	/**
	 * 
	 */
	private Date dataInici;
	private Date dataFi;
	private int tFestiu;
	private int idTFestiu;
	private TipusFestius dTFestiu;
	private String usuariAlta;
	private Timestamp tmstmpAlta;
	private String usuariModi;
	private Timestamp tmstmpModi;
	private String usuariBaja;
	private Timestamp tmstmpBaja;	
	
	@Id
	@Column(name="dataInici")	
	public Date getDataInici() {
		return dataInici;
	}
	@Column(name="dataFi")
	public Date getDataFi() {
		return dataFi;
	}
	@ManyToOne(cascade = CascadeType.ALL)	
	@JoinColumn(name="tFestiu")
	public TipusFestius getDTFestiu(){
		return dTFestiu;
	}	
	@Column(name="usuariAlta")
	public String getUsuariAlta() {
		return usuariAlta;
	}	
	@Column(name="tmstmpAlta")
	public Timestamp getTmstmpAlta() {
		return tmstmpAlta;
	}	
	@Column(name="usuariModi")
	public String getUsuariModi() {
		return usuariModi;
	}	
	@Column(name="tmstmpModi")
	public Timestamp getTmstmpModi() {
		return tmstmpModi;
	}		
	@Column(name="usuariBaja")
	public String getUsuariBaja() {
		return usuariBaja;
	}	
	@Column(name="tmstmpBaja")
	public Timestamp getTmstmpBaja() {
		return tmstmpBaja;
	}		
	
	public void setDataInici(Date dataInici) {
		this.dataInici = dataInici;
	}
	public void setDataFi(Date dataFi) {
		this.dataFi = dataFi;
	}
	public void setIdTFestiu(int idTFestiu) {
		this.idTFestiu = idTFestiu;
	}
	public void setDTFestiu(TipusFestius dTFestiu) {
		this.dTFestiu = dTFestiu;
	}	
	public void setUsuariAlta(String usuariAlta) {
		this.usuariAlta = usuariAlta;
	}	
	public void setTmstmpAlta(Timestamp tmstmpAlta) {
		this.tmstmpAlta = tmstmpAlta;
	}	
	public void setUsuariModi(String usuariModi) {
		this.usuariModi = usuariModi;
	}	
	public void setTmstmpModi(Timestamp tmstmpModi) {
		this.tmstmpModi = tmstmpModi;
	}	
	public void setUsuariBaja(String usuariBaja) {
		this.usuariBaja = usuariBaja;
	}	
	public void setTmstmpBaja(Timestamp tmstmpBaja) {
		this.tmstmpBaja = tmstmpBaja;
	}		
}
