package tornodrom.model;

import java.io.Serializable;
import java.sql.Date;

import javax.persistence.CascadeType;
import javax.persistence.Column;
import javax.persistence.Embeddable;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;

@Embeddable
public class HistorialPk implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = -2638081677529317123L;

	/**
	 * 
	 */
	private int idEmpleat;
	private Empleats dEmpleat;
	private int idCalendari;
	private TipusCalendaris dCalendari;
	private Date dataInici;

	public HistorialPk() {
		
	}
	
	public HistorialPk(int idEmpleat,int idCalendari, Date dataInici){
		this.idEmpleat = idEmpleat;
		this.idCalendari = idCalendari;
		this.dataInici = dataInici;
	}

	@ManyToOne(cascade = CascadeType.ALL)	
	@JoinColumn(name="idEmpleat")
	public Empleats getDEmpleat(){
		return dEmpleat;
	}	
	@ManyToOne(cascade = CascadeType.ALL)	
	@JoinColumn(name="idCalendari")
	public TipusCalendaris getDCalendari(){
		return dCalendari;
	}
	@Column(name="dataInici")
	public Date getDataInici() {
		return dataInici;
	}

	public void setIdEmpleat(int idEmpleat) {
		this.idEmpleat = idEmpleat;
	}	
	public void setDEmpleat(Empleats dEmpleat) {
		this.dEmpleat = dEmpleat;
	}
	public void setIdCalendari(int idCalendari) {
		this.idCalendari = idCalendari;
	}
	public void setDCalendari(TipusCalendaris dCalendari) {
		this.dCalendari = dCalendari;
	}	
	public void setDataInici(Date dataInici) {
		this.dataInici = dataInici;
	}
}
