package tornodrom.model;

import java.io.Serializable;
import java.sql.Date;
import java.sql.Time;
import java.sql.Timestamp;

import javax.persistence.CascadeType;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;


@Entity
@Table(name="incidencies")
public class Incidencies implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = -2638081677529317123L;

	/**
	 * 
	 */
	private IncidenciesPk id;
	private Date dataFi;
	private Time horaFi;
	private int idTIncidencia;
	private TipusIncidencies dTIncidencia;
	private String usuariAlta;
	private Timestamp tmstmpAlta;
	private String usuariModi;
	private Timestamp tmstmpModi;
	private String usuariBaja;
	private Timestamp tmstmpBaja;	

	@Id
	public IncidenciesPk getId() {
		return id;
	}
	@Column(name="dataFi")
	public Date getDataFi() {
		return dataFi;
	}
	@Column(name="horaFi")
	public Time getHoraFi() {
		return horaFi;
	}
	@ManyToOne(cascade = CascadeType.ALL)	
	@JoinColumn(name="tipusIncidencia")
	public TipusIncidencies getDTIncidencia(){
		return dTIncidencia;
	}	
	@Column(name="usuariAlta")
	public String getUsuariAlta() {
		return usuariAlta;
	}	
	@Column(name="tmstmpAlta")
	public Timestamp getTmstmpAlta() {
		return tmstmpAlta;
	}	
	@Column(name="usuariModi")
	public String getUsuariModi() {
		return usuariModi;
	}	
	@Column(name="tmstmpModi")
	public Timestamp getTmstmpModi() {
		return tmstmpModi;
	}		
	@Column(name="usuariBaja")
	public String getUsuariBaja() {
		return usuariBaja;
	}	
	@Column(name="tmstmpBaja")
	public Timestamp getTmstmpBaja() {
		return tmstmpBaja;
	}		
	
	public void setId(IncidenciesPk id) {
		this.id = id;
	}
	public void setDataFi(Date dataFi) {
		this.dataFi = dataFi;
	}
	public void setHoraFi(Time horaFi) {
		this.horaFi = horaFi;
	}
	public void setIdTIncidencia(int idTIncidencia) {
		this.idTIncidencia = idTIncidencia;
	}
	public void setDTIncidencia(TipusIncidencies dTIncidencia) {
		this.dTIncidencia = dTIncidencia;
	}	
	public void setUsuariAlta(String usuariAlta) {
		this.usuariAlta = usuariAlta;
	}	
	public void setTmstmpAlta(Timestamp tmstmpAlta) {
		this.tmstmpAlta = tmstmpAlta;
	}	
	public void setUsuariModi(String usuariModi) {
		this.usuariModi = usuariModi;
	}	
	public void setTmstmpModi(Timestamp tmstmpModi) {
		this.tmstmpModi = tmstmpModi;
	}	
	public void setUsuariBaja(String usuariBaja) {
		this.usuariBaja = usuariBaja;
	}	
	public void setTmstmpBaja(Timestamp tmstmpBaja) {
		this.tmstmpBaja = tmstmpBaja;
	}		
}
