package tornodrom.model;

import java.io.Serializable;
import java.sql.Date;
import java.sql.Time;

import javax.persistence.CascadeType;
import javax.persistence.Column;
import javax.persistence.Embeddable;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;

@Embeddable
public class IncidenciesPk implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = -2638081677529317123L;

	/**
	 * 
	 */
	private int idEmpleat;
	private Empleats dEmpleat;
	private Date dataInici;
	private Time horaInici;
	public IncidenciesPk() {
		
	}
	
	public IncidenciesPk(int idEmpleat, Date dataInici, Time horaInici){
		this.idEmpleat = idEmpleat;
		this.dataInici = dataInici;
		this.horaInici = horaInici;
	}

	@ManyToOne(cascade = CascadeType.ALL)	
	@JoinColumn(name="idEmpleat")
	public Empleats getDEmpleat(){
		return dEmpleat;
	}	
	@Column(name="dataInici")
	public Date getDataInici() {
		return dataInici;
	}
	@Column(name="horaInici")
	public Time getHoraInici() {
		return horaInici;
	}

	public void setIdEmpleat(int idEmpleat) {
		this.idEmpleat = idEmpleat;
	}	
	public void setDEmpleat(Empleats dEmpleat) {
		this.dEmpleat = dEmpleat;
	}
	public void setDataInici(Date dataInici) {
		this.dataInici = dataInici;
	}
	public void setHoraInici(Time horaInici) {
		this.horaInici = horaInici;
	}
}
